package io.tswf.minecraft.blockventure.core.api.gui

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.gui.PlayerScreenService
import net.minecraft.entity.player.PlayerEntity

@CompileStatic
class PlayerScreenManager {

    static void openScreen(String modId, String screenId, PlayerEntity player, Object customPayload = null) {
        openScreen(modId, screenId, player, (int) player.pos.x, (int) player.pos.y, (int) player.pos.z, customPayload)
    }

    static void openScreen(String modId, String screenId, PlayerEntity player, int x, int y, int z, Object customPayload) {
        if (player.world.isClient) {
            PlayerScreenService.openScreen(modId, player, screenId, PlayerScreenService.NO_SCREEN_HANDLER_WINDOW_ID, player.world, x, y, z, customPayload)
        }
    }
}
