package io.tswf.minecraft.blockventure.core.groovyextensions

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.api.gui.PlayerScreenManager
import net.minecraft.entity.player.PlayerEntity

@CompileStatic
class AdditionalPlayerEntityMethods {

    static void openScreen(PlayerEntity self, String modId, String screenId, Object customPayload = null) {
        PlayerScreenManager.openScreen(modId, screenId, self, customPayload)
    }

    static void openScreen(PlayerEntity self, String modId, String screenId, int x, int y, int z, Object customPayload) {
        PlayerScreenManager.openScreen(modId, screenId, self, x, y, z, customPayload)
    }

}
