package io.tswf.minecraft.blockventure.core.groovyextensions

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.api.thread.MinecraftThreadsExecutor

@CompileStatic
class AdditionalGlobalMinecraftThreadsExecutorMethods {

    static void runInMinecraftClientThread(Object self, Runnable run) {
        MinecraftThreadsExecutor.runInMinecraftClientThread(run)
    }

    static void runInMinecraftServerThread(Object self, Runnable run) {
        MinecraftThreadsExecutor.runInMinecraftServerThread(run)
    }
}
