package io.tswf.minecraft.blockventure.core.transmutation.view

import groovy.transform.CompileStatic
import io.tswf.transmutations.common.annotation.OnConflict
import io.tswf.transmutations.common.conflict.ConflictingMethodResolveStrategy
import io.tswf.transmutations.view.annotation.View
import net.minecraft.server.MinecraftServer
import net.minecraft.world.level.storage.LevelStorage

@CompileStatic
@View(targetClasses = MinecraftServer)
interface ViewMinecraftServer {

    @OnConflict(ConflictingMethodResolveStrategy.SKIP)
    LevelStorage.Session getSession()
}